Removes and returns a value by index

- « Ds\Vector::reduce

- Ds\Vector::reverse »

- PHP Manual
- Ds\Vector
- Removes and returns a value by index

# Ds\Vector::remove

(PECL ds >= 1.0.0)

Ds\Vector::remove — Removes and returns a value by index

### Description

public Ds\Vector::remove(int `$index`): mixed

Removes and returns a value by index.

### Parameters

`index`

  The index of the value to remove.

### Return Values

The value that was removed.

### Errors/Exceptions

OutOfRangeException if the index is not valid.

### Examples

Example #1 Ds\Vector::remove() example

    <?php$vector = new \Ds\Vector(["a", "b", "c"]);var_dump($vector->remove(1));var_dump($vector->remove(0));var_dump($vector->remove(0));?>

The above example will output something similar to:

    string(1) "b"
    string(1) "a"
    string(1) "c"